%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-glob
Version:        6.0.4
Release:        %mkrel 2
Summary:        A little globber for Node.js

License:        BSD
Group:          System/Libraries
URL:            https://github.com/isaacs/node-glob
Source0:        https://github.com/isaacs/node-glob/archive/v%{version}/%{name}-%{version}.tar.gz
# Fix tests to work with older version of tap
Patch0:         nodejs-glob-tap.patch
BuildArch:      noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(inflight)
BuildRequires:  npm(path-is-absolute)
BuildRequires:  npm(rimraf)
%endif


%description
This is a glob implementation in pure JavaScript. It uses the minimatch library
to do its matching.


%prep
%autosetup -p 1 -n node-glob-%{version}
%nodejs_fixdep once "^1.1.1"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/glob
cp -pr package.json glob.js sync.js common.js \
  %{buildroot}%{nodejs_sitelib}/glob
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/glob




%changelog
* Sun May 22 2016 tv <tv> 6.0.4-2.mga6
+ Revision: 1017556
- disable testuite for boostrapping

  + neoclust <neoclust>
    - Downgrade to version  6.0.4

* Sat May 14 2016 joequant <joequant> 7.0.3-1.mga6
+ Revision: 1015311
- upgrade glob

* Mon Feb 08 2016 umeabot <umeabot> 3.2.6-2.mga6
+ Revision: 950275
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 tv <tv> 3.2.6-1.mga5
+ Revision: 793430
- imported package nodejs-glob

